<?php

namespace App\Models;

use Dcat\Admin\Traits\HasDateTimeFormatter;
use App\Models\Merchant;
use App\Models\Store;
use Illuminate\Database\Eloquent\Model;

class StoreAdminUsers extends Model
{
    use HasDateTimeFormatter;
    protected $table = 'store_admin_users';

    public function verifier()
    {
        //return $this->belongsTo(Verifier::class, 'store_admin_users_id');
    }

    public function merchant()
    {
        return $this->belongsTo(Merchant::class, 'merchant_id');
    }

    public function store()
    {
        return $this->belongsTo(Store::class, 'store_id');
    }
}
